Package org.eclipse.emf.cdo.expressions

## Interface ContextAccess

- All Superinterfaces:
    `Access`, `CDOObject`, `CDOWithID`, `org.eclipse.emf.ecore.EObject`, `Expression`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `ContextAccessImpl`

      public interface ContextAccess
      extends Access

  A representation of the model object 'Context Value'.
  See Also:
    `ExpressionsPackage.getContextAccess()`
  Generated
  Model

- - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.cdo.expressions.Access

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.cdo.expressions.Expression

      `evaluate`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`